TikTok Shop

TikTok's Shop Performance Score overview

GET/api/public/v1/tik_tok_shop/shop_health
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopHealth

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/shop_health" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
localequerystring
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
benefitsarray of object, nullable
benefits[].[].benefit_namestring, nullable
benefits[].[].is_unlockedboolean, nullable
benefits[].[].unlock_scorestring, nullable
dimensionsarray of object, nullable
dimensions[].[].namestring, nullable
dimensions[].[].scorestring, nullable
dimensions[].[].statusstring, nullable
dimensions[].[].status_textstring, nullable
dimensions[].[].weightstring, nullable
peerPercentilestring, nullable
scorestring, nullable
tierstring, nullable
topIssuesarray of object
topIssuesSummary, nullable

Example

{
  "benefits": [
    {
      "benefit_name": "Example name",
      "is_unlocked": true,
      "unlock_score": "string"
    }
  ],
  "dimensions": [
    {
      "name": "Example name",
      "score": "string",
      "status": "string",
      "status_text": "string",
      "weight": "string"
    }
  ],
  "peerPercentile": "string",
  "score": "string",
  "tier": "string",
  "topIssues": [
    "string"
  ],
  "topIssuesSummary": "string"
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.